import { LezerSyntax } from '@codemirror/next/syntax';
import { parser } from 'lezer-gcode';
import { EditorState } from '@codemirror/next/basic-setup';


const gcodeSyntax = LezerSyntax.define(parser);

export function createEditorState(doc: string): EditorState {
    return EditorState.create({
        doc: doc,
        extensions: [gcodeSyntax]
    });
}
