export class Parser {
    constructor(editorState) {
        this.diagnostics = new Array();
        this.tree = editorState.tree;
        this.state = editorState;
    }
    check(node) {
        // console.log(node);
    }
    getDiagnostics() {
        return this.diagnostics;
    }
    addDiagnostic(node, msg) {
        this.diagnostics.push({
            severity: 'error',
            message: msg,
            from: node.start,
            to: node.end,
        });
    }
}
//# sourceMappingURL=parser.js.map